jersey.repackaged.org.objectweb.asm

## Class ClassTooLargeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IndexOutOfBoundsException
        - - jersey.repackaged.org.objectweb.asm.ClassTooLargeException

All Implemented Interfaces:
  Serializable

    public final class ClassTooLargeException
    extends IndexOutOfBoundsException

Exception thrown when the constant pool of a class produced by a `ClassWriter` is too large.

Author:
  Jason Zaugg
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClassTooLargeException(String className, int constantPoolCount)` Constructs a new `ClassTooLargeException`.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getClassName()` Returns the internal name of the class.
`int` `getConstantPoolCount()` Returns the number of constant pool items of the class.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClassTooLargeException

    public ClassTooLargeException(String className,
                                  int constantPoolCount)

Constructs a new `ClassTooLargeException`.

Parameters:
  `className` - the internal name of the class.
  `constantPoolCount` - the number of constant pool items of the class.

### Method Detail

#### getClassName

    public String getClassName()

Returns the internal name of the class.

Returns:
  the internal name of the class.

#### getConstantPoolCount

    public int getConstantPoolCount()

Returns the number of constant pool items of the class.

Returns:
  the number of constant pool items of the class.